## CGAL::Qt_help_window

### Definition

This class is a specialization of the QTextBrowser class, that provides a rich text browser with hypertext navigation. It has couple more functionalities as navigation support and printing.

#include <CGAL/IO/Qt_help_window.h>

### Inherits From

QMainWindow

### Creation

Qt_help_window hw ( | QString home_, QString path, QWidget* parent = 0, const char *name=0);

| home_ is the name of the file considered as home, path is the path to this file, parent is the parent widget, and name is the name of this help class.

### public slots:

void | hw.print () | This prints the current displayed page to the printer device of your choice.

### Example

      #include <CGAL/IO/Qt_help_window.h>
      //...
      QString home;
      home = "help/index.html";
      CGAL::Qt_help_window *help = new
        CGAL::Qt_help_window(home, ".", 0, "help viewer");
      help->resize(400, 400);
      help->setCaption("Demo HowTo");
      help->show();